summaryrefslogtreecommitdiffstats
path: root/desktop/sgsearch
diff options
context:
space:
mode:
author Panagiotis Nikolaou <hostmaster@slackonly.com>2017-02-09 22:47:20 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-02-11 07:24:33 +0700
commit0ba6e2c2b20349717e10fe98030ab83828cd4a22 (patch)
tree7cfeb7cd4cd532c913553b73ce123f4af2140deb /desktop/sgsearch
parent42de10e38c366b3bc1ac5e3052623e02561bc453 (diff)
downloadslackbuilds-0ba6e2c2b20349717e10fe98030ab83828cd4a22.tar.gz
slackbuilds-0ba6e2c2b20349717e10fe98030ab83828cd4a22.tar.xz
desktop/sgsearch: Added (search frontend).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop/sgsearch')
-rw-r--r--desktop/sgsearch/README4
-rw-r--r--desktop/sgsearch/doinst.sh13
-rw-r--r--desktop/sgsearch/sgsearch.SlackBuild103
-rw-r--r--desktop/sgsearch/sgsearch.info10
-rw-r--r--desktop/sgsearch/slack-desc19
5 files changed, 149 insertions, 0 deletions
diff --git a/desktop/sgsearch/README b/desktop/sgsearch/README
new file mode 100644
index 0000000000..ff18e489e3
--- /dev/null
+++ b/desktop/sgsearch/README
@@ -0,0 +1,4 @@
+SGSearch is a simple frontend for find and grep file search tools.
+
+By default, the SlackBuild builds the gtk3 interface. If you want
+instead to build the gtk2 interface pass GTK2=yes to the SlackBuild.
diff --git a/desktop/sgsearch/doinst.sh b/desktop/sgsearch/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/desktop/sgsearch/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/sgsearch/sgsearch.SlackBuild b/desktop/sgsearch/sgsearch.SlackBuild
new file mode 100644
index 0000000000..f7c01e5a3c
--- /dev/null
+++ b/desktop/sgsearch/sgsearch.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for sgsearch
+
+# Copyright 2017 Panagiotis Nikolaou, Culver City, CA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sgsearch
+VERSION=${VERSION:-1.1.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Use GTK3 as default.
+if [ "${GTK2:-no}" == "yes" ]; then
+ OPT1="$OPT -DGTK3=OFF"
+else
+ OPT2="$OPT -DGTK3=ON"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ $OPT1$OPT2 ..
+make
+make install DESTDIR=$PKG
+
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/sgsearch/sgsearch.info b/desktop/sgsearch/sgsearch.info
new file mode 100644
index 0000000000..7854c6b18c
--- /dev/null
+++ b/desktop/sgsearch/sgsearch.info
@@ -0,0 +1,10 @@
+PRGNAM="sgsearch"
+VERSION="1.1.9"
+HOMEPAGE="http://sallu.tuxfamily.org/-Utilities-"
+DOWNLOAD="http://sallu.tuxfamily.org/IMG/gz/sgsearch-1.1.9.tar.gz"
+MD5SUM="31d6ae9dee6c1e099a164e4d06513bf1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Panagiotis Nikolaou"
+EMAIL="hostmaster@slackonly.com"
diff --git a/desktop/sgsearch/slack-desc b/desktop/sgsearch/slack-desc
new file mode 100644
index 0000000000..a4d7c41807
--- /dev/null
+++ b/desktop/sgsearch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sgsearch: sgsearch (search frontend)
+sgsearch:
+sgsearch: sgsearch is a simple simple frontend for find
+sgsearch: and grep file search tools.
+sgsearch:
+sgsearch: homepage: http://sallu.tuxfamily.org/-Utilities-
+sgsearch:
+sgsearch:
+sgsearch:
+sgsearch:
+sgsearch: